document.getElementById('playBtn').addEventListener('click', function() {
    var audioPlayer = document.getElementById('audioPlayer');
    var playBtn = document.getElementById('playBtn');
    var progressBar = document.getElementById('progressBar');
    if (audioPlayer.paused) {
        audioPlayer.play();
        playBtn.classList.remove('paused');
        playBtn.classList.add('playing');
        playBtn.style.transform = 'scale(1.1)';
    } else {
        audioPlayer.pause();
        playBtn.classList.remove('playing');
        playBtn.classList.add('paused');
        playBtn.style.transform = 'scale(1)';
    }
    updateProgress();
});

function updateProgress() {
    var audioPlayer = document.getElementById('audioPlayer');
    var progressBar = document.getElementById('progressBar');
    if (audioPlayer.duration) {
        var progress = (audioPlayer.currentTime / audioPlayer.duration) * 100;
        progressBar.style.width = progress + '%';
    }
}

audioPlayer.addEventListener('timeupdate', updateProgress);